<%@ page import="com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.jira.util.BuildUtils,
                 com.atlassian.jira.ManagerFactory,
                 com.atlassian.license.*,
                 com.atlassian.license.applications.jira.JiraLicenseTypeStore,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%-- IF YOU EDIT THIS - BE SURE TO CHECK IF YOU NEED TO EDIT DECORATORS/FRONTPAGE.JSP --%>

<% License curLicense = null;
if (JiraLicenseUtils.isLicenseSetup())
    curLicense = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);
%>
<div class="footer">
<table border="0" cellpadding="0" cellspacing="0" width="100%">
<% if (curLicense == null || (!JiraLicenseTypeStore.JIRA_STANDARD_FULL_LICENSE.equals(curLicense.getLicenseType()) || !JiraLicenseTypeStore.JIRA_PROFESSIONAL_FULL_LICENSE.equals(curLicense.getLicenseType()) || !JiraLicenseTypeStore.JIRA_ENTERPRISE_FULL_LICENSE.equals(curLicense.getLicenseType())) || ManagerFactory.getApplicationProperties().getOption(APKeys.JIRA_CONFIRMED_INSTALL_WITH_OLD_LICENSE)) { %>
<tr>
		<td bgcolor="#bbbbbb"><img src="<%= request.getContextPath() %>/images/border/spacer.gif" height="1" width="100" border="0" alt=""></td>
</tr>
<tr>


    <% if (curLicense == null) { %>
		<td class="licensemessagered">
            <span class="licensemessagehl">UNLICENSED INSTALLATION</span> - You can request a 30-day <a href="<webwork:component name="'external.link.jira.license.evaluate.from.unlicensed'" template="externallink.jsp" >
                    <webwork:param name="'value0'"><%= BuildUtils.getVersion() %></webwork:param>
                    <webwork:param name="'value1'"><%= BuildUtils.getCurrentBuildNumber() %></webwork:param>
                    <webwork:param name="'value2'"><%= BuildUtils.getEdition() %></webwork:param>
                    <webwork:param name="'value3'"><%= JiraLicenseUtils.getServerId() %></webwork:param>
                </webwork:component>">evaluation license online</a>
            or <a href="<webwork:component name="'external.link.jira.license.purchase.from.unlicensed'" template="externallink.jsp" >
                    <webwork:param name="'value0'"><%= BuildUtils.getVersion() %></webwork:param>
                    <webwork:param name="'value1'"><%= BuildUtils.getCurrentBuildNumber() %></webwork:param>
                    <webwork:param name="'value2'"><%= BuildUtils.getEdition() %></webwork:param>
                    <webwork:param name="'value3'"><%= JiraLicenseUtils.getServerId() %></webwork:param>
                </webwork:component>">purchase</a>.
		</td>
	<% } else if (JiraLicenseTypeStore.JIRA_STANDARD_EVALUATION.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_PROFESSIONAL_EVALUATION.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_ENTERPRISE_EVALUATION.equals(curLicense.getLicenseType())) { %>
		<td class="licensemessagered">
          <span class="licensemessagehl">EVALUATION LICENSE</span> - Are you enjoying JIRA? Please consider <a href="<webwork:component name="'external.link.jira.license.purchase.from.evaluation'" template="externallink.jsp" >
                    <webwork:param name="'value0'"><%= BuildUtils.getVersion() %></webwork:param>
                    <webwork:param name="'value1'"><%= BuildUtils.getCurrentBuildNumber() %></webwork:param>
                    <webwork:param name="'value2'"><%= BuildUtils.getEdition() %></webwork:param>
                    <webwork:param name="'value3'"><%= JiraLicenseUtils.getServerId() %></webwork:param>
                </webwork:component>">purchasing it</a> today.
		</td>
	<% } else if (JiraLicenseTypeStore.JIRA_STANDARD_NON_PROFIT.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_PROFESSIONAL_NON_PROFIT.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_ENTERPRISE_NON_PROFIT.equals(curLicense.getLicenseType())) { %>
		<td class="licensemessage">
            Site running on a free
            <b><a href="<webwork:component name="'external.link.jira.non.profit.license.info'" template="externallink.jsp"/>">
            Atlassian JIRA Open Source Project / Non-profit License</a></b>
            granted to <%= curLicense.getOrganisation()%>.
            <a href="<webwork:component name="'external.link.jira.license.evaluate.from.unlicensed'" template="externallink.jsp" >
                    <webwork:param name="'value0'"><%= BuildUtils.getVersion() %></webwork:param>
                    <webwork:param name="'value1'"><%= BuildUtils.getCurrentBuildNumber() %></webwork:param>
                    <webwork:param name="'value2'"><%= BuildUtils.getEdition() %></webwork:param>
                    <webwork:param name="'value3'"><%= JiraLicenseUtils.getServerId() %></webwork:param>
                </webwork:component>">Evaluate JIRA today</a>
		</td>
	<% } else if (ManagerFactory.getApplicationProperties().getOption(APKeys.JIRA_CONFIRMED_INSTALL_WITH_OLD_LICENSE)) { %>
        <td class="licensemessagered">
			<span class="licensemessagehl">EVALUATION LICENSE</span> - Are you enjoying this new version of JIRA? Please consider
            <a href="<webwork:component name="'external.link.jira.license.extend.from.old'" template="externallink.jsp" >
                    <webwork:param name="'value0'"><%= BuildUtils.getVersion() %></webwork:param>
                    <webwork:param name="'value1'"><%= BuildUtils.getCurrentBuildNumber() %></webwork:param>
                    <webwork:param name="'value2'"><%= BuildUtils.getEdition() %></webwork:param>
                    <webwork:param name="'value3'"><%= JiraLicenseUtils.getServerId() %></webwork:param>
                </webwork:component>">extending your license</a> today.
		</td>
    <%
        } else if (JiraLicenseTypeStore.JIRA_STANDARD_COMMUNITY.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_PROFESSIONAL_COMMUNITY.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_ENTERPRISE_COMMUNITY.equals(curLicense.getLicenseType())) {
    %>
       <td class="licensemessage">
           Site running on a free <b><a href="<webwork:component name="'external.link.jira.community.license.info'" template="externallink.jsp" />">Atlassian JIRA Community License</a></b> granted to <%= curLicense.getOrganisation() %>. <a href="<webwork:component name="'external.link.jira.license.evaluate.from.unlicensed'" template="externallink.jsp" >
                    <webwork:param name="'value0'"><%= BuildUtils.getVersion() %></webwork:param>
                    <webwork:param name="'value1'"><%= BuildUtils.getCurrentBuildNumber() %></webwork:param>
                    <webwork:param name="'value2'"><%= BuildUtils.getEdition() %></webwork:param>
                    <webwork:param name="'value3'"><%= JiraLicenseUtils.getServerId() %></webwork:param>
                </webwork:component>">Evaluate JIRA today</a>.
		</td>
    <%
        } else if (JiraLicenseTypeStore.JIRA_STANDARD_DEMONSTRATION.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_PROFESSIONAL_DEMONSTRATION.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_ENTERPRISE_DEMONSTRATION.equals(curLicense.getLicenseType())) {
    %>
       <td class="licensemessage">
           <b>DEMONSTRATION LICENSE</b> - This JIRA site is for demonstration purposes only.
           <a href="<webwork:component name="'external.link.jira.license.evaluate.from.unlicensed'" template="externallink.jsp" >
                    <webwork:param name="'value0'"><%= BuildUtils.getVersion() %></webwork:param>
                    <webwork:param name="'value1'"><%= BuildUtils.getCurrentBuildNumber() %></webwork:param>
                    <webwork:param name="'value2'"><%= BuildUtils.getEdition() %></webwork:param>
                    <webwork:param name="'value3'"><%= JiraLicenseUtils.getServerId() %></webwork:param>
                </webwork:component>">Evaluate JIRA today</a>.
		</td>
    <%
        } else if (JiraLicenseTypeStore.JIRA_STANDARD_DEVELOPER.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_PROFESSIONAL_DEVELOPER.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_ENTERPRISE_DEVELOPER.equals(curLicense.getLicenseType())) {
    %>
       <td class="licensemessage">
           <b>DEVELOPER LICENSE</b> - This JIRA site is for non-production use only.
       </td>
    <%
        } else if (JiraLicenseTypeStore.JIRA_STANDARD_OPEN_SOURCE.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_PROFESSIONAL_OPEN_SOURCE.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_ENTERPRISE_OPEN_SOURCE.equals(curLicense.getLicenseType())) {
    %>
       <td class="licensemessage">
           Site running on a free <b><a href="<webwork:component name="'external.link.jira.open.source.license.info'" template="externallink.jsp" />">Atlassian JIRA Open Source Project License</a></b> granted to <%= curLicense.getOrganisation() %>.
           <a href="<webwork:component name="'external.link.jira.license.evaluate.from.unlicensed'" template="externallink.jsp" >
                    <webwork:param name="'value0'"><%= BuildUtils.getVersion() %></webwork:param>
                    <webwork:param name="'value1'"><%= BuildUtils.getCurrentBuildNumber() %></webwork:param>
                    <webwork:param name="'value2'"><%= BuildUtils.getEdition() %></webwork:param>
                    <webwork:param name="'value3'"><%= JiraLicenseUtils.getServerId() %></webwork:param>
                </webwork:component>">Evaluate JIRA today</a>.
		</td>
    <%
        }
    %>
</tr>
<% } %>
  <tr>
      <td height="12" background="<%= request.getContextPath() %>/images/border/border_bottom.gif"><img src="<%= request.getContextPath() %>/images/border/spacer.gif" width="1" height="1" border="0"></td>
  </tr>
 </table>
	<span class="poweredbymessage">
        Powered by <a href="<webwork:component name="'external.link.jira.product.site.with.edition'" template="externallink.jsp"><webwork:param name="'value0'"><%= BuildUtils.getEdition() %></webwork:param></webwork:component>" class="smalltext">Atlassian JIRA&trade;</a> the <a href="<webwork:component name="'external.link.jira.product.site.with.edition'" template="externallink.jsp"><webwork:param name="'value0'" value="@buildUtils/edition"/></webwork:component>">Professional Issue Tracker</a>. <span style="color: #666666;">(<%= BuildUtils.getBuildInformation() %>)</span> - <a href="<webwork:component name="'external.link.jira.raise.issue'" template="externallink.jsp"/>">Bug/feature request</a>
		- <a href="<%= request.getContextPath() %>/secure/Administrators.jspa">Contact Administrators</a>
	</span>
</div><%-- footer --%>
</body>
</html>
