function switchDiv(url, divName) {
    new Ajax.Updater(divName, url, {asynchronous:false, evalScripts:true});
}

function showResponse(originalRequest)
{
    alert(originalRequest);
    originalRequest.onreadystatechange = function (){ alert(originalRequest.status) };
}

function initOperations()
{
    if (!document.getElementsByTagName){ return; }
	var anchors = document.getElementsByTagName("a");

	// loop through all anchor tags
	for (var i=0; i<anchors.length; i++){
		var anchor = anchors[i];

		if (anchor.getAttribute("href") && (anchor.getAttribute("rel") == "lazyLink")){
            anchor.onclick = function () {switchBodyDiv(this); return false;}  //todo - handle case with no parameters
		}
	}
}

function switchBodyDiv(anchor)
{
    $("issueContent").innerHTML = "loading...";
    var parentNode = anchor.parentNode;
    while (parentNode.className.indexOf("lazyOperation") == -1)
    {
        parentNode = parentNode.parentNode;
    }
    var previousClassName;
    if (parentNode)
    {
        previousClassName = parentNode.className;
        parentNode.className = "lazyOperationInProgress";
    }

    switchDiv(anchor.getAttribute("href") + "&decorator=none", 'issueContent');
    var actionValue;
    try {
        actionValue = document.forms["jiraform"].getAttribute("action").value; //IE 6 value
    } catch (err) {}
    if (!actionValue)
        actionValue = document.forms["jiraform"].getAttribute("action"); // Safari / Firefox
    if (actionValue.charAt(0) != "/" & actionValue.indexOf("http://") != 0)
    {
        // The contextPath variable is always set via the PluginJavascriptContentResolver
        actionValue = contextPath + "/secure/" + actionValue;
    }
    document.forms["jiraform"].setAttribute("action", actionValue);

    if (parentNode != null)
        parentNode.className = previousClassName;
}

//
// addLoadEvent()
// Adds event to window.onload without overwriting currently assigned onload functions.
// Function found at Simon Willison's weblog - http://simon.incutio.com/
//
function addLoadEvent(func)
{
	var oldonload = window.onload;
	if (typeof window.onload != 'function'){
    	window.onload = func;
	} else {
		window.onload = function(){
		oldonload();
		func();
		}
	}

}



addLoadEvent(initOperations);	// run initLightbox onLoad
