<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <meta content="issuesummary" name="decorator" />
	<title><webwork:text name="'viewissue.remove.attachment.title'"/> <webwork:property value="del" /></title>
</head>
<body>
<page:applyDecorator name="jiraform">
	<page:param name="title"><webwork:text name="'viewissue.remove.attachment.title'"/>:

    <webwork:iterator value="/attachments" status="'status'">
        <webwork:if test="id == del">
            <webwork:property value="filename" />
        </webwork:if>
    </webwork:iterator>

    </page:param>
	<page:param name="autoSelectFirst">false</page:param>
	<page:param name="description">
        <p><webwork:text name="'viewissue.remove.attachment.msg'"/></p>
	</page:param>
    <page:param name="width">100%</page:param>
	<page:param name="action">DeleteAttachment.jspa?id=<webwork:url value="/id" />&del=<webwork:url value="del" /></page:param>
	<page:param name="submitName"><webwork:text name="'common.words.delete'"/></page:param>
	<page:param name="cancelURI">ManageAttachments.jspa?id=<webwork:url value="/id" /></page:param>
	<ui:component name="'id'" template="hidden.jsp" theme="'single'"  />
	<ui:component name="'del'" template="hidden.jsp" theme="'single'"  />
	<input type="hidden" name="confirm" value="true">
</page:applyDecorator>
</body>
</html>
